maximizing a window horizontally removes the title bar

Bug #696780 reported by Chris on 2011-01-03
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Wishlist
Didier Roche
unity (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: unity

Compiz allows windows to be maximized horizontally by right clicking the maximize button and maximized vertically by middle clicking the maximize button.

When Unity detects a window is maximized it removes the title bar from the window and places it in it's panel. The problem is it's doing this for windows that are only maximized in one direction.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-11.25-generic-pae 2.6.37-rc7
Uname: Linux 2.6.37-11-generic-pae i686
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
Date: Mon Jan 3 12:46:03 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20101202)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20101202)
MachineType: Apple Inc. iMac11,2
PciDisplay: 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Madison [Mobility Radeon HD 5000 Series] [1002:68c0] (prog-if 00 [VGA controller])
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-11-generic-pae root=UUID=433a3a94-2314-433f-b6bb-68769b589f5a ro vt.handoff=7 quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-11.25-generic-pae 2.6.37-rc7
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu6
 libgl1-mesa-glx 7.10.0+git20101221.fa62cf74-0ubuntu0sarvatt
 libdrm2 2.4.23+git20101221.bad5242a-0ubuntu0sarvatt
 xserver-xorg-video-intel 2:2.13.902+git20101227.7667ad84-0ubuntu0sarvatt
 xserver-xorg-video-ati 1:6.13.99+git20101220.30c5f217-0ubuntu0sarvatt
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 05/03/10
dmi.bios.vendor: Apple Inc.
dmi.bios.version: IM112.88Z.0057.B00.1005031455
dmi.board.name: Mac-F2238AC8
dmi.board.vendor: Apple Inc.
dmi.chassis.type: 13
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F2238AC8
dmi.modalias: dmi:bvnAppleInc.:bvrIM112.88Z.0057.B00.1005031455:bd05/03/10:svnAppleInc.:pniMac11,2:pvr1.0:rvnAppleInc.:rnMac-F2238AC8:rvr:cvnAppleInc.:ct13:cvrMac-F2238AC8:
dmi.product.name: iMac11,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-11-generic-pae

Related branches

Chris (ccouzens) wrote :
Didier Roche (didrocks) on 2011-01-03
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → 3.2.8
Changed in unity (Ubuntu):
importance: Undecided → Medium
David Barth (dbarth) on 2011-01-03
Changed in unity:
importance: Undecided → Wishlist
Changed in unity (Ubuntu):
importance: Medium → Wishlist
Changed in unity:
milestone: 3.2.8 → none
Didier Roche (didrocks) on 2011-01-06
Changed in unity:
assignee: Sam "SmSpillaz" Spilsbury (smspillaz) → Didier Roche (didrocks)
Didier Roche (didrocks) on 2011-01-06
Changed in unity:
status: Triaged → Fix Committed
milestone: none → 3.2.10
Didier Roche (didrocks) on 2011-01-14
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.2.12-0ubuntu1

---------------
unity (3.2.12-0ubuntu1) natty; urgency=low

  * New upstream release.
   - Window border doesn't get restored (LP: #691812)
   - When a menu is triggered from Alt+key, app name stays visible on panel
     (LP: #691765)
   - show the launcher on <Super> KeyPress, this will be needed when the
     shortcut will be implemented if we are in intellihide mode
   - Make sure an underscore is correctly placed under the corresponding
     accelerator-key. (LP: #683427)
   - Adding a dummy --replace option for compatibility reason (LP: #692569)
   - Compiz crashed with SIGSEGV in CompWindow::id() (LP: #694945)
   - Tooltip text not vertically centered (LP: #697791)
   - Maximizing a window horizontally or vertically removes the title bar
     (LP: #696780)
   - Mousewheel support for indicators (LP: #681428)
   - Avoid Quicklists being positioned so that they are partially offscreen at
     the bottom screen-edge. (LP: #691114)
   - Migrate awn, docky and cairo-dock dock launchers (LP: #692967)
   - Include manpages, and make them translatable. (LP: #684896)
   - Automaximize windows in Unity with some rules like blacklisting some
     applications, initial window size.
     It fixes also some bugs, like maximized window on first map not
     undecorated (LP: #667009, #669716, #693779, #691741)
   - Update libunity to conform to latest GIO VAPI breakage (LP: #679964)
   - Initial unity-atk module implementation (LP: #701680)
   - Panel autohide when on Quicklist (LP: #683261)
  * debian/control:
    - unity breaks on older bamf version (dbus protocol changed)
    - needs latest and greatest from dee
    - add libatk1.0-dev build-dep
  * CMakeList:
    - distro-patch to avoid building tests right now as building them is failing
      with the current vala/gir stack. THIS NEED TO BE REMOVED.
  * debian/rules:
    - don't --fail-missing as we don't want to install the vapi yet. The gir
      package will come next week.
  * debian/unity-common.install:
    - install the manpages
  * debian/libunity3.symbols:
    - updated
 -- Didier Roche <email address hidden> Fri, 14 Jan 2011 20:47:25 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers